QGIS Application - Bug report #7521

QGIS mapserver not working in compliance with SLD spec for GetLegendGraphic requests

2013-04-05 06:57 AM - Marco Lechner

Status: Closed

Priority: High

Assignee: Marco Hugentobler
Category: QGIS Server

Affected QGIS version:1.8.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 16468

Description

QGIS mapserver expects layers and styles transmitted as LAYERS and STYLES parameter on GetLegendGraphic requests (WMS
1.1.1). WMS specs reference SLD specs. On page 62 (pdf page 72) of SLD 1.0 OGC 02-070
http://portal.opengeospatial.org/files/?artifact_id=1188 the parameters for GetLegendGraphic request have to be LAYER and STYLE

instead of plural. Similar to GetLegendGraphics/GetLegendGraphic QGIS mapserver could easily respect both (at the moment it breakes

the spec) by applying the attached patch. Patch is similar as bugfix for QGIS 1.8, no changes in function since then, just different

linenumbers.

This behaviour causes internal server error when a client requests in compliance to the specs.

Affected versions master and before (1.8.0, may be earlier)

History

#1 - 2013-04-05 01:37 PM - Marco Lechner
- File deleted (QGISmapserverGetLegendGraphic.patch)

#2 - 2013-04-05 01:39 PM - Marco Lechner
- File QGISmapserverGetLegendGraphic_2.patch added

patch now also tests for mandatory params for GetLegendGraphic (FORMAT, LAYER)

#3 - 2013-04-05 02:18 PM - Marco Lechner
- File deleted (QGISmapserverGetlLegendGraphic_2.patch)

#4 - 2013-04-05 02:18 PM - Marco Lechner
- File QGISmapserverGetLegendGraphic_3.patch added

#5 - 2013-04-06 05:35 AM - Giovanni Manghi

adding the patch on github has a better chance to be reviewed and added sooner that later.

#6 - 2013-04-06 09:38 AM - Marco Lechner
- Status changed from Open to Closed

patch commited by jef-n into master commit:d62d88ed03cb0b2008c28bc6bdc2c50d73e30f5a
Files

QGISmapserverGetLegendGraphic_3.patch 1.46 KB 2013-04-05 Marco Lechner
